{% extends 'base.html' %}

{% block name %}Project Details{% endblock name %}
{% block content %}
    <main>
        <div>
            <h1>{{ details.name }}</h1>
            <p>{{ details.description }}</p>
            <h2>Tasks</h2>
            <p><a href="{% url "create_task"%}">Create a new task</a></p>
            {% if details.tasks.count != 0 %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in details.tasks.all %}
                    <tr>
                        <td>{{ item.name }}</td>
                        <td>{{ item.assignee }}</td>
                        <td>{{ item.start_date }}</td>
                        <td>{{ item.due_date }}</td>
                        <td>{{ item.is_completed|yesno }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            {% else %}
            <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
